Bug 569249 - "publican package --desktop --lang=en-US" fails
"publican package --desktop --lang=en-US" fails
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Joshua Wulf
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-28 20:13 EST by Ryan Lerch
Modified: 2014-10-19 18:58 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-01 20:10:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ryan Lerch 2010-02-28 20:13:31 EST
I attempted to build a desktop package locally with publican 1.5 using the following command:

"publican package --desktop --lang=en-US"

and it failed, returning the following error message:

Can't locate object method "xml_lang" via package < packagename > (perhaps you forgot to load "< packagename >"?) at /usr/lib/perl5/vendor_perl/5.10.0/Publican/Builder.pm line 1477, <FH> line 14.
Comment 1 Jeff Fearn 2010-02-28 20:35:11 EST
There was some extra text on line 1477 that the syntax parser did not pick up as being invalid. Deleted text.
Comment 2 Fedora Update System 2010-02-28 23:13:59 EST
publican-1.6-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-1.6-0.fc12
Comment 3 Fedora Update System 2010-02-28 23:14:09 EST
publican-1.6-0.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/publican-1.6-0.fc13
Comment 4 Fedora Update System 2010-02-28 23:14:18 EST
publican-1.6-0.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/publican-1.6-0.fc11
Comment 5 Fedora Update System 2010-03-01 20:03:45 EST
publican-1.6-0.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2010-03-01 20:04:39 EST
publican-1.6-0.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2010-03-01 20:06:20 EST
publican-1.6-0.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.